Problem on Installing Application?


  1. YukaCava

    YukaCava Guest

    Hello everyone.

    I've just downloaded this application named "DECOPIC, KawaiiPhotoEditing" application. In the market it says the application requires 2.2 operating system and higher.

    My cellphone is Samsung Galaxy Mini S5570, with Froyo 2.2 as the operating system. I tried to install the application but I failed to do so. It keeps saying "application not installed". My friend suggested to download the ".apk" file, and I did. But the same problem keep happening. It says, "application not installed"

    Other application works out fine. Except for this application.
    I wonder what's wrong? Or should I update my operating system to 2.3?
    Is there anything I can do to fix this problem?

    Thanks in advance.

    Advertisement

Share This Page